Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.olap
Class JRMondrianDataSource

    java.lang.Object
      net.sf.jasperreports.olap.JROlapDataSource
          net.sf.jasperreports.olap.JRMondrianDataSource

All Implemented Interfaces:
  JRDataSource, MappingMetadata

    public class JRMondrianDataSource

extends JROlapDataSource

Version:
  $Id: JRMondrianDataSource.java 3035 2009-08-27 12:05:03Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Nested Class Summary

Nested classes/interfaces inherited from class net.sf.jasperreports.olap.JROlapDataSource
`JROlapDataSource.DataFieldMatcher, JROlapDataSource.FieldMatcher, JROlapDataSource.MemberFieldMatcher`

Field Summary
`protected mondrian.olap.Result` | `result`

Fields inherited from class net.sf.jasperreports.olap.JROlapDataSource
`axes, axisPositions, dataField, fieldMatchers, fieldsMaxDepths, fieldValues, first, hierarchiesCount, iterate, iteratePositions, maxDepths, olapResult, queryHierarchies`

Constructor Summary
`JRMondrianDataSource(JRDataset dataset, mondrian.olap.Result result)`

Method Summary

Methods inherited from class net.sf.jasperreports.olap.JROlapDataSource
`getDimensionIndex, getFieldMapping, getFieldValue, getLevelDepth, getTuplePosition, next, nextPositions, processMemberInfo, setMatchMemberDepth`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### result

    protected final mondrian.olap.Result result

Constructor Detail

### JRMondrianDataSource

    public JRMondrianDataSource(JRDataset dataset,
                                mondrian.olap.Result result)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com